Bug 10696 - Update request: kernel-tmb-3.8.13.4-1.mga3
: Update request: kernel-tmb-3.8.13.4-1.mga3
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: Security
: 3
: All Linux
: Normal Severity: major
: ---
Assigned To: QA Team
: Sec team
:
: MGA3-32-OK MGA3-64-OK
: validated_update
:
:
  Show dependency treegraph
 
Reported: 2013-07-04 21:14 CEST by Thomas Backlund
Modified: 2013-07-16 10:11 CEST (History)
2 users (show)

See Also:
Source RPM: kernel-tmb-3.8.13.4-1.mga3
CVE:
Status comment:


Attachments

Description Thomas Backlund 2013-07-04 21:14:27 CEST
Advisory:
This kernel-tmb update provides the extended stable 3.8.13.4 kernel and fixes
the follwing security issues:

The pciback_enable_msi function in the PCI backend driver 
(drivers/xen/pciback/conf_space_capability_msi.c) in Xen for the Linux
kernel 2.6.18 and 3.8 allows guest OS users with PCI device access to
cause a denial of service via a large number of kernel log messages.
(CVE-2013-0231 / XSA-43)

ipv6: ip6_sk_dst_check() must not assume ipv6 dst
It's possible to use AF_INET6 sockets and to connect to an IPv4
destination. After this, socket dst cache is a pointer to a rtable,
not rt6_info. This bug can be exploited by local non-root users
to trigger various corruptions/crashes (CVE-2013-2232)

af_key: fix info leaks in notify messages
key_notify_sa_flush() and key_notify_policy_flush() miss to
initialize the sadb_msg_reserved member of the broadcasted message
and thereby leak 2 bytes of heap memory to listeners (CVE-2013-2234)

af_key: initialize satype in key_notify_policy_flush()
key_notify_policy_flush() miss to nitialize the sadb_msg_satype member
of the broadcasted message and thereby leak heap memory to listeners
(CVE-2013-2237)

Heap-based buffer overflow in the iscsi_add_notunderstood_response function
in drivers/target/iscsi/iscsi_target_parameters.c in the iSCSI target
subsystem in the Linux kernel through 3.9.4 allows remote attackers to
cause a denial of service (memory corruption and OOPS) or possibly execute
arbitrary code via a long key that is not properly handled during
construction of an error-response packet.
A reproduction case requires patching open-iscsi to send overly large
keys. Performing discovery in a loop will Oops the remote server.
(CVE-2013-2850)

Format string vulnerability in the b43_request_firmware function in
drivers/net/wireless/b43/main.c in the Broadcom B43 wireless driver in
the Linux kernel through 3.9.4 allows local users to gain privileges by
leveraging root access and including format string specifiers in an
fwpostfix modprobe parameter, leading to improper construction of an
error message. (CVE-2013-2852)

Other fixes:
- Fix up alx AR8161 breakage (mga #10079)
- bcma: add support for BCM43142 (mga#9378, mga#10611)
- net/tg3: Avoid delay during MMIO access
- iommu/vt-d: add quirk for broken interrupt remapping on 55XX chipsets
- rtlwifi: rtl8723ae: Fix typo in firmware names
- rtlwifi: rtl8192cu: Fix problem in connecting to WEP or WPA(1) networks
- md/raid10: fix two bugs affecting RAID10 reshape
- crypto: algboss - Hold ref count on larval
- perf: Disable monitoring on setuid processes for regular users
- netfilter: nf_conntrack_ipv6: Plug sk_buff leak in fragment handling
- enable X86_X2APIC, X86_REROUTE_FOR_BROKEN_BOOT_IRQS, FHANDLE
- disable COMPAT_VDSO (not needed since glibc-2.3.3)

For other fixes in the extended stable update, see the referenced shortlog


References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-0231
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2232
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2234
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2237
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2850
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2852
http://kernel.ubuntu.com/git?p=ubuntu/linux.git;h=refs/heads/linux-3.8.y;a=shortlog


Reproducible: 

Steps to Reproduce:
Comment 1 Thomas Backlund 2013-07-04 21:24:18 CEST
SRPM:
kernel-tmb-3.8.13.4-1.mga3.src.rpm


i586:
kernel-tmb-desktop-3.8.13.4-1.mga3-1-1.mga3.i586.rpm
kernel-tmb-desktop586-3.8.13.4-1.mga3-1-1.mga3.i586.rpm
kernel-tmb-desktop586-devel-3.8.13.4-1.mga3-1-1.mga3.i586.rpm
kernel-tmb-desktop586-devel-latest-3.8.13.4-1.mga3.i586.rpm
kernel-tmb-desktop586-latest-3.8.13.4-1.mga3.i586.rpm
kernel-tmb-desktop-devel-3.8.13.4-1.mga3-1-1.mga3.i586.rpm
kernel-tmb-desktop-devel-latest-3.8.13.4-1.mga3.i586.rpm
kernel-tmb-desktop-latest-3.8.13.4-1.mga3.i586.rpm
kernel-tmb-laptop-3.8.13.4-1.mga3-1-1.mga3.i586.rpm
kernel-tmb-laptop-devel-3.8.13.4-1.mga3-1-1.mga3.i586.rpm
kernel-tmb-laptop-devel-latest-3.8.13.4-1.mga3.i586.rpm
kernel-tmb-laptop-latest-3.8.13.4-1.mga3.i586.rpm
kernel-tmb-server-3.8.13.4-1.mga3-1-1.mga3.i586.rpm
kernel-tmb-server-devel-3.8.13.4-1.mga3-1-1.mga3.i586.rpm
kernel-tmb-server-devel-latest-3.8.13.4-1.mga3.i586.rpm
kernel-tmb-server-latest-3.8.13.4-1.mga3.i586.rpm
kernel-tmb-source-3.8.13.4-1.mga3-1-1.mga3.noarch.rpm
kernel-tmb-source-latest-3.8.13.4-1.mga3.noarch.rpm


x86_64:
kernel-tmb-desktop-3.8.13.4-1.mga3-1-1.mga3.x86_64.rpm
kernel-tmb-desktop-devel-3.8.13.4-1.mga3-1-1.mga3.x86_64.rpm
kernel-tmb-desktop-devel-latest-3.8.13.4-1.mga3.x86_64.rpm
kernel-tmb-desktop-latest-3.8.13.4-1.mga3.x86_64.rpm
kernel-tmb-laptop-3.8.13.4-1.mga3-1-1.mga3.x86_64.rpm
kernel-tmb-laptop-devel-3.8.13.4-1.mga3-1-1.mga3.x86_64.rpm
kernel-tmb-laptop-devel-latest-3.8.13.4-1.mga3.x86_64.rpm
kernel-tmb-laptop-latest-3.8.13.4-1.mga3.x86_64.rpm
kernel-tmb-server-3.8.13.4-1.mga3-1-1.mga3.x86_64.rpm
kernel-tmb-server-devel-3.8.13.4-1.mga3-1-1.mga3.x86_64.rpm
kernel-tmb-server-devel-latest-3.8.13.4-1.mga3.x86_64.rpm
kernel-tmb-server-latest-3.8.13.4-1.mga3.x86_64.rpm
kernel-tmb-source-3.8.13.4-1.mga3-1-1.mga3.noarch.rpm
kernel-tmb-source-latest-3.8.13.4-1.mga3.noarch.rpm
Comment 2 David GEIGER 2013-07-06 20:40:23 CEST
Testing complete mga3 32


kernel-tmb-laptop-3.8.13.4-1.mga3-1-1.mga3.i586.rpm
kernel-tmb-laptop-devel-3.8.13.4-1.mga3-1-1.mga3.i586.rpm
kernel-tmb-laptop-devel-latest-3.8.13.4-1.mga3.i586.rpm
kernel-tmb-laptop-latest-3.8.13.4-1.mga3.i586.rpm
Comment 3 David GEIGER 2013-07-06 20:41:03 CEST
Testing complete mga3 64 

kernel-tmb-laptop-3.8.13.4-1.mga3-1-1.mga3.x86_64.rpm
kernel-tmb-laptop-devel-3.8.13.4-1.mga3-1-1.mga3.x86_64.rpm
kernel-tmb-laptop-devel-latest-3.8.13.4-1.mga3.x86_64.rpm
kernel-tmb-laptop-latest-3.8.13.4-1.mga3.x86_64.rpm
Comment 4 claire robinson 2013-07-15 15:28:51 CEST
Tested the remaining kernels.

Validating. Advisory from comment 0 uploaded.

Could sysadmin please push from 3 core/updates_testing to core/updates

Thanks!
Comment 5 Thomas Backlund 2013-07-16 10:11:18 CEST
Update pushed:
http://advisories.mageia.org/MGASA-2013-0213.html

Note You need to log in before you can comment on or make changes to this bug.